
(function($){ //create closure so we can safely use $ as alias for jQuery

    $(document).ready(function(){

        "use strict";

        /*-----------------------------------------------------------------------------------*/
        /*  Superfish Menu
        /*-----------------------------------------------------------------------------------*/
        // initialise plugin
        var example = $('.sf-menu').superfish({
            //add options here if required
            delay:       100,
            speed:       'fast',
            autoArrows:  false  
        }); 

        /*-----------------------------------------------------------------------------------*/
        /*  Sticky Header
        /*-----------------------------------------------------------------------------------*/
        /*
        $(window).scroll(function () {
            if ($(this).scrollTop() > 75) {
                $('.site-header').addClass("sticky-nav");
                $('.site-content').addClass('has-sticky');
            } else {
                $('.site-header').removeClass("sticky-nav");
                $('.site-content').removeClass('has-sticky');                    
            }
        });   
        */

        /*-----------------------------------------------------------------------------------*/
        /*  bxSlider
        /*-----------------------------------------------------------------------------------*/
        $('.owl-carousel').owlCarousel({
            autoplay: true,
            autoplayHoverPause: true,
            loop: true,
            dots: true,
            nav:true,
            responsiveClass:true,
            responsive:{
                0:{
                    items:1
                },
                600:{
                    items:1
                },
                1000:{
                    items:1
                }
            }                       
        }) 

        $('#featured-content .owl-carousel').show();

        /*-----------------------------------------------------------------------------------*/
        /*  Back to Top
        /*-----------------------------------------------------------------------------------*/
        // hide #back-top first
        $("#back-top").hide();

        $(function () {
            // fade in #back-top
            $(window).scroll(function () {
                if ($(this).scrollTop() > 100) {
                    $('#back-top').fadeIn('200');
                } else {
                    $('#back-top').fadeOut('200');
                }
            });

            // scroll body to 0px on click
            $('#back-top a').click(function () {
                $('body,html').animate({
                    scrollTop: 0
                }, 400);
                return false;
            });
        });     

        /*-----------------------------------------------------------------------------------*/
        /*  Mobile Search
        /*-----------------------------------------------------------------------------------*/
        $('.search-icon > .fa-search').click(function(){

            $('.header-search').slideDown('fast', function() {});
            $('.search-icon > .fa-search').toggleClass('active');
            $('.search-icon > .fa-close').toggleClass('active');

        });

        $('.search-icon > .fa-close').click(function(){

            $('.header-search').slideUp('fast', function() {});
            $('.search-icon > .fa-search').toggleClass('active');
            $('.search-icon > .fa-close').toggleClass('active');

        });                                                   

    });

})(jQuery);


/*
jQuery('.sidebar').theiaStickySidebar({
    // Settings
    additionalMarginTop: 25,
    additionalMarginBottom: 25
});    
*/
